## Keypad Library for Raspberry Pi Pico - DIYables_Pico_Keypad
This MicroPython library is designed for Raspberry Pi Pico to make it easy to use with keypad 3x4, keypad 4x4. It is easy to use for not only beginners but also experienced users... 

It is created by DIYables to work with DIYables Keypad, but also work with products from other brands. Please consider purchasing products from [DIYables Store on Amazon](https://amazon.com/diyables) to support our works.



Features
----------------------------
* Works with any Raspberry Pi Pico board.

Product Link
----------------------------
* [Keypad 3x4](https://diyables.io/products/keypad-3x4)
* [Keypad 4x4](https://diyables.io/products/keypad-4x4)


Available Functions
----------------------------
* __init__(keymap, row_pins, column_pins, num_rows, num_cols)
* get_key()
* set_debounce_time(time_ms)


Available Examples
----------------------------
* keypad_3x4.py
* keypad_4x4.py



Tutorials
----------------------------
* [Raspberry Pi Pico - Keypad 3x4](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-keypad-3x4)
* [Raspberry Pi Pico - Keypad 4x4](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-keypad-4x4)



References
----------------------------
* [Raspberry Pi Pico - Keypad Library](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-keypad-library)
